<?php
include("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }  
?>


<html>
<head>
<title>RRB - Abonos Eventos</title>
</head>

<body>
<?php
extract($_POST);
$res=0;
$idcdin = $sesion->id;
$gtot=$monto;
$tipop=$opc;
$ifecha=$fecha_i;
//$ifolio=$_POST['folio'];
$bconf=NULL;
$pago_ef=0;
$pago_de=0;
$pago_tc=0;
$pago_vo=0;
$pago_re=0;
$pago_xp=0;
	

function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}

// **********************************************************************************//
switch($tipop){
					
		case 0: $pago_ef=$gtot; break;
		case 1: $pago_de=$gtot; break;
		case 5: $pago_tc=$gtot; break;
		case 6: $pago_xp=$gtot; break;
					
		} 
// **********************************************************************************//			
function FechaFormateada($FechaStamp) {
    $timezone = -6;//GTM -6 UTC-6 DF
    $hora = gmdate("g:i A", time() + 3600 * ($timezone + date("I"))); //<--Hora
    $ano = $FechaStamp[3]; //<-- AÒo
    $mes = $FechaStamp[2]; //<-- n?mero de mes (01-31)
    $dia = $FechaStamp[1]; //<-- DÌa del mes (1-31)
    $dialetra = $FechaStamp[0];  //DÌa de la semana(0-7)
    switch ($dialetra) {
        case 0: $dialetra = "Domingo";
            break;
        case 1: $dialetra = "Lunes";
            break;
        case 2: $dialetra = "Martes";
            break;
        case 3: $dialetra = "Mi&eacute;rcoles";
            break;
        case 4: $dialetra = "Jueves";
            break;
        case 5: $dialetra = "Viernes";
            break;
        case 6: $dialetra = "S&aacute;bado";
            break;
    }
    switch ($mes) {
        case '01': $mesletra = "Enero";
            break;
        case '02': $mesletra = "Febrero";
            break;
        case '03': $mesletra = "Marzo";
            break;
        case '04': $mesletra = "Abril";
            break;
        case '05': $mesletra = "Mayo";
            break;
        case '06': $mesletra = "Junio";
            break;
        case '07': $mesletra = "Julio";
            break;
        case '08': $mesletra = "Agosto";
            break;
        case '09': $mesletra = "Septiembre";
            break;
        case '10': $mesletra = "Octubre";
            break;
        case '11': $mesletra = "Noviembre";
            break;
        case '12': $mesletra = "Diciembre";
            break;
    }
    return "$dialetra, $dia de $mesletra de $ano $hora";
}

$consulta = "SELECT DAYOFWEEK(NOW()),DAY(NOW()),MONTH(NOW()),YEAR(NOW())";
$q = mysql_query($consulta) or die('Error (select consec): ' . mysql_error());
$Fecha = mysql_fetch_array($q);
$fechaT = FechaFormateada($Fecha);


$qa = "SELECT consec FROM cdconsec WHERE idcd =$idcdin";
$ca = mysql_query($qa) or die ('Error (select consec): ' . mysql_error());
while($ra = mysql_fetch_row($ca)){ $trans = $ra[0]+1;}
if($entrega==$idcdin){$qIP = "INSERT INTO transacciones(
inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, statusentrega, consec, cdentrega, fechae, observaciones) 
VALUES ('$idinvc', '39',curdate(),curtime(),'$idcdin', 'ENTREGADO', $trans, $entrega, curdate(),'Abono de $ $gtot')";
$cIP = mysql_query($qIP) or die ('Error (insert transacciones): ' . mysql_error());
}
else {$qIP = "INSERT INTO transacciones(
inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, statusentrega, consec, cdentrega, fechae, observaciones) 
VALUES ('$idinvc', '39',curdate(),curtime(),'$idcdin', 'PENDIENTE', $trans, $entrega, curdate(),'Abono de $ $gtot')";
$cIP = mysql_query($qIP) or die ('Error (insert transacciones): ' . mysql_error());
}
            
$qa = "SELECT idtransacciones FROM transacciones WHERE inversionista_id_inver = '$idinvc' and fechat= curdate() order by horat ASC";
$ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());

while($ra = mysql_fetch_row($ca)) {$transac = $ra[0];}	
                               
$qIP2 = "INSERT INTO pagovta( idtransacciones, efectivo, deposito, tarjeta, regalias, voucher, porpagar) VALUES ('$transac', '$pago_ef', '$pago_de', '$pago_tc', '$pago_re', '$pago_vo', '$pago_xp')";
$cIP2 = mysql_query($qIP2) or die ('Error (insert pagovta): ' . mysql_error());	

$qP = "INSERT INTO depositos(centros_idcd, transacciones_idtransacciones, fechad, status) VALUES ('$idcdin', '$transac','$ifecha','$tipop')";
$cP = mysql_query($qP) or die ('Error (insert depositos): ' . mysql_error());
                                  
$qPP = "update cdconsec set consec='$trans' where idcd=$idcdin";
$rPP = mysql_query($qPP) or die ('ErrPP update consec: '. mysql_error());

$qDG="SELECT rfc, idprom, nombre, appat, apmat, domicilio, cp, ciudad, tel1 FROM inversionista WHERE id_inver = '".$idinvc."'";
$cDG = mysql_query($qDG) or die ('Error (Obtencion DG.): ' . mysql_error());
  while($rDG = mysql_fetch_row($cDG)){
	$dg_rfc = $rDG[0];
	$dg_rfcP = $rDG[1];
	$dg_nom = $rDG[2];
	$dg_apP = $rDG[3];
	$dg_apM = $rDG[4];
	$dg_dom = $rDG[5];
	$dg_cp = $rDG[6];
	$dg_ciudad = $rDG[7];
	$dg_tel = $rDG[8];
                                      }
   
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$cdent=$idcdin;  
//echo "su Abono fue de $".$monto."<br>";
                    
 if($restc>$monto){
    $res=$restc-$monto;
    $mc2="insert into abono_evento (abono, restante, fecha_abono, tipo_pago, Ab_a_id) values ($monto, $res, '$fecha_i', $opc, $idABc)";
    $mh2=mysql_query($mc2) or die("Error 2".mysql_error());
    $mc6="update abono_evento set abono=$monto, restante=$res, fecha_abono='$fecha_i' where id_abono=$idABc ";
    $mh6=mysql_query($mc6) or die("Error 6".mysql_error());
  //  echo "Le sigue faltando $".$res."<br>". "<a href='apartados.php'>Volver</a><br>";
//---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------//
   
echo"<table><tr valign=\"top\" height=\"470\">";
//************************************************************************//
echo "<td>
        <img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\">
	<br><bR>
	<b>Pedido $idcdin -$trans Pago: $tipop </b>";
echo"<br>$fechaT<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
        <br>Nombre: $dg_nom $dg_apP $dg_apM
        <center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto";
	$gtot2=$gtot;
	echo "<table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"> Puntos 0</td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
	</table></font></center><br><font size=\"2\">ORIGINAL - Distribuidor</font>
      </td>";
//**************************************************************************//			
echo "<td width=\"60\"></td><td><img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\"><br><bR>
	<b> Pedido $idcdin -$trans Pago: $tipop </b>";
echo"<br>$fechaT<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
	<br>Nombre: $dg_nom $dg_apP $dg_apM
	<center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto";
      echo "</center></td></tr>";
//*************************************************************************//
echo"<tr>";
echo "<td><br>";
//************************************************************************//	
	echo "</td>";
echo "<td width=\"30\"></td><td><br><font size=\"5\">
		<center><b>Control Admin.</b></center>
		<font size=\"2\"><br><b>Transacci&oacute;n $idcdin -$trans</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; RFC: $dg_rfc";
                //if($opc=1){echo"<br><b> Ref: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
		echo"<br>$fechaT
		<br>Nombre: $dg_nom $dg_apP $dg_apM
		<br>CD:<B>$idcdin</b>";
		echo "<h3>Abono Evento Aniversario 2016</h3>"
                . "Pago de $ $monto";
                echo "
		<center><table border=\"1\"><tr>
		<td>EF</td><td>DE</td><td>TC</td><td>RE</td><td>VO</td><td>XP</td>
		</tr>
		<tr>
		<td>$pago_ef</td><td>$pago_de</td><td>$pago_tc</td><td>$pago_re</td><td>$pago_vo</td><td>$pago_xp</td>
</tr></table>";echo"</center></td></tr></table>";
 }//restante mayor
 //
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////      
if($restc<$monto){
    $res2=$monto-$restc;
    $mc5="insert into abono_evento (abono, restante, fecha_abono, tipo_pago, Ab_a_id) values ($monto, 0, '$fecha_i', $opc, $idABc)";
    $mh5=mysql_query($mc5) or die("Error 2".mysql_error());
    $mc6="update abono_evento set abono=$monto, restante=0, fecha_abono='$fecha_i', liquidado=1, fecha_liquid=CURRENT_TIMESTAMP where id_abono=$idABc ";
    $mh6=mysql_query($mc6) or die("Error 6".mysql_error());
   // echo "Su cambio es de $".$res2."<br>". "<a href='apartados.php'>Volver</a><br>";
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------//      
echo"<table><tr valign=\"top\" height=\"470\">";
//************************************************************************//
echo "<td>
        <img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\">
	<br><bR>
	<b>Pedido $idcdin -$trans Pago: $tipop </b>";
echo"<br>$fechaT<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
        <br>Nombre: $dg_nom $dg_apP $dg_apM
        <center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto". "   Cuarto  <b>LIQUIDADO<b>";
	$gtot2=$gtot;
	echo "<table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"> Puntos 0</td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
	</table></font></center><br><font size=\"2\">ORIGINAL - Distribuidor</font>
      </td>";
//************************************************************************//			
echo "<td width=\"60\"></td><td><img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\"><br><bR>
	<b> Pedido $idcdin -$trans Pago: $tipop </b>";
echo"<br>$fechaT<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
	<br>Nombre: $dg_nom $dg_apP $dg_apM
	<center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto"
                . "   Cuarto  <b>LIQUIDADO<b>";
      echo "</center></td></tr>";
//************************************************************************//
$df1 = "insert into pedido(transacciones_idtransacciones,productos_idprod,cant) Values ($transac,467,2)";
$fd1 = mysql_query($df1) or die("Error 6556: ".mysql_error());
$qpl = "update stock set cantidad=cantidad-2 where idprod=467 and idcd='$entrega'";
$cpl = mysql_query($qpl) or die ('Error (update stock): ' . mysql_error());
echo"<tr>";
echo "<td><br>
	<font size=\"5\">
	<center><b>Control Inventario</B></center> </font><font size=\"2\"><br><b>Pedido $idcdin -$trans</b>
	&nbsp;&nbsp;&nbsp;&nbsp;Realizo: $idcdin &nbsp;&nbsp;&nbsp;&nbsp; Entrego: $cdent";
	echo "<h3>Regalo Evento Aniversario 2016</h3>"
        . "2 - plata 1000 ORO 1Lt";
	echo "</td>";
//************************************************************************//
echo "<td width=\"30\"></td><td><br><font size=\"5\">
		<center><b>Control Admin.</b></center>
		<font size=\"2\"><br><b>Transacci&oacute;n $idcdin -$trans</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; RFC: $dg_rfc";
                //if($opc=1){echo"<br><b> Ref: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
		echo"<br>$fechaT
		<br>Nombre: $dg_nom $dg_apP $dg_apM
		<br>CD:<B>$idcdin</b>";
		echo "<h3>Abono Evento Aniversario 2016</h3>"
                . "Pago de $ $monto". "   Cuarto <b>LIQUIDADO<b>";
                echo "
		<center><table border=\"1\"><tr>
		<td>EF</td><td>DE</td><td>TC</td><td>RE</td><td>VO</td><td>XP</td>
		</tr>
		<tr>
		<td>$pago_ef</td><td>$pago_de</td><td>$pago_tc</td><td>$pago_re</td><td>$pago_vo</td><td>$pago_xp</td>
</tr></table>";echo"</center></td></tr></table>";
}//restante menor
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////      
if($restc==$monto){
    $mc5="insert into abono_evento (abono, restante, fecha_abono, tipo_pago, Ab_a_id) values ($monto, 0, '$fecha_i', $opc, $idABc)";
    $mh5=mysql_query($mc5) or die("Error 2".mysql_error());
    $mc6="update abono_evento set abono=$monto, restante=0, fecha_abono='$fecha_i', liquidado=1, fecha_liquid=CURRENT_TIMESTAMP where id_abono=$idABc ";
    $mh6=mysql_query($mc6) or die("Error 6".mysql_error());
  //  echo "Cuarto $idAPc LIQUIDADO<br>". "<a href='apartados.php'>Volver</a><br>";
//-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------//    
echo"<table><tr valign=\"top\" height=\"470\">";
//************************************************************************//
echo "<td>
        <img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\">
	<br><bR>
	<b>Pedido $idcdin -$trans Pago: $tipop </b>";
	echo"<br> <b> Ref: </b>00001 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";
        echo"<br>$fechaT<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
        <br>Nombre: $dg_nom $dg_apP $dg_apM
        <center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto". "   Cuarto <b>LIQUIDADO<b>";
	$gtot2=$gtot;
	echo "<table><tr><td width=\"20\"></td><td align=\"center\" width=\"140\"> Puntos 0</td><td align=\"center\" width=\"23\">Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
	</table></font></center><br><font size=\"2\">ORIGINAL - Distribuidor</font>
      </td>";
//************************************************************************//			
echo "<td width=\"60\"></td><td><img src=\"notatop.jpg\" width=\"300\">
	<font size=\"2\"><br><bR>
	<b> Pedido $idcdin -$trans Pago: $tipop </b>";
	echo"<br>$fechaT<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
	<br>Nombre: $dg_nom $dg_apP $dg_apM
	<center>";
        echo "<h3>Abono Evento Aniversario 2016</h3>"
        . "Pago de $ $monto". "    Cuarto <b>LIQUIDADO<b>";
      echo "</center></td></tr>";
//************************************************************************//
$df1 = "insert into pedido(transacciones_idtransacciones,productos_idprod,cant) Values ($transac,467,2)";
$fd1 = mysql_query($df1) or die("Error 6556: ".mysql_error());
$qpl = "update stock set cantidad=cantidad-2 where idprod=467 and idcd='$entrega'";
$cpl = mysql_query($qpl) or die ('Error (update stock): ' . mysql_error());
echo"<tr>";
echo "<td><br>
	<font size=\"5\">
	<center><b>Control Inventario</B></center> </font><font size=\"2\"><br><b>Pedido $idcdin -$trans</b>
	&nbsp;&nbsp;&nbsp;&nbsp;Realizo: $idcdin &nbsp;&nbsp;&nbsp;&nbsp; Entrego: $cdent";
	echo "<h3>Regalo Evento Aniversario 2016</h3>"
        . "plata 1000 ORO 1Lt";
	echo "</td>";
//************************************************************************//
echo "<td width=\"30\"></td><td><br><font size=\"5\">
		<center><b>Control Admin.</b></center>
		<font size=\"2\"><br><b>Transacci&oacute;n $idcdin -$trans</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; RFC: $dg_rfc";
                //if($opc=1){echo"<br><b> Ref: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
		echo"<br>$fechaT
		<br>Nombre: $dg_nom $dg_apP $dg_apM
		<br>CD:<B>$idcdin</b>";
		echo "<h3>Abono Evento Aniversario 2016</h3>"
                . "Pago de $ $monto";
                echo "
		<center><table border=\"1\"><tr>
		<td>EF</td><td>DE</td><td>TC</td><td>RE</td><td>VO</td><td>XP</td>
		</tr>
		<tr>
		<td>$pago_ef</td><td>$pago_de</td><td>$pago_tc</td><td>$pago_re</td><td>$pago_vo</td><td>$pago_xp</td>
</tr></table>";echo"</center></td></tr></table>";
}//restante igual
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////     
if($restc==0){
    echo "Este distribuidor no debe nada"
    . "<a href='apartados.php'>Volver</a><br>";}//no hay restante}
?>
    </body>
</html>